com.google.gwt.user.tools.util

## Class ArgHandlerAddToClassPath

- java.lang.Object
- - com.google.gwt.util.tools.ArgHandler
  - - com.google.gwt.util.tools.ArgHandlerString
    - - com.google.gwt.user.tools.util.ArgHandlerAddToClassPath

-     public class ArgHandlerAddToClassPath
      extends ArgHandlerString

  Parse the -addToClassPath argument. Appends a .jar or classpath to the generated launch scripts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgHandlerAddToClassPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getExtraClassPathList()`
    `java.lang.String` | `getPurpose()`
    `java.lang.String` | `getTag()`
    `java.lang.String[]` | `getTagArgs()` A list of words representing the arguments in help text.
    `boolean` | `setString(java.lang.String str)`

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandlerString

      `handle`

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandler

      `getDefaultArgs, getHelpTag, getTags, isExperimental, isRequired, isUndocumented`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgHandlerAddToClassPath

          public ArgHandlerAddToClassPath()

  - ### Method Detail

    - #### getExtraClassPathList

          public java.util.List<java.lang.String> getExtraClassPathList()

    - #### getPurpose

          public java.lang.String getPurpose()

      Specified by:
        `getPurpose` in class `ArgHandler`

    - #### getTag

          public java.lang.String getTag()

      Specified by:
        `getTag` in class `ArgHandler`

    - #### getTagArgs

          public java.lang.String[] getTagArgs()

      Description copied from class: `ArgHandler`
      A list of words representing the arguments in help text.
      Specified by:
        `getTagArgs` in class `ArgHandler`

    - #### setString

          public boolean setString(java.lang.String str)

      Specified by:
        `setString` in class `ArgHandlerString`